Package com.independentsoft.office.spreadsheet

# Enum Class ConditionalFormatType

java.lang.Object
java.lang.Enum<ConditionalFormatType>
com.independentsoft.office.spreadsheet.ConditionalFormatType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConditionalFormatType>`, `Constable`

public enum ConditionalFormatType extends Enum<ConditionalFormatType>
The Enum ConditionalFormatType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOVE_OR_BELOW_AVERAGE`
  `BEGINS_WITH`
  `CELL_IS`
  `COLOR_SCALE`
  `CONTAINS_BLANKS`
  `CONTAINS_ERRORS`
  `CONTAINS_TEXT`
  `DATA_BAR`
  `DOES_NOT_CONTAIN_BLANKS`
  `DOES_NOT_CONTAIN_ERRORS`
  `DOES_NOT_CONTAIN_TEXT`
  `DUPLICATE_VALUES`
  `ENDS_WITH`
  `EXPRESSION`
  `ICON_SET`
  `NONE`
  `TIME_PERIOD`
  `TOP`
  `UNIQUE_VALUES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConditionalFormatType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConditionalFormatType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ABOVE_OR_BELOW_AVERAGE

    public static final ConditionalFormatType ABOVE_OR_BELOW_AVERAGE

  - ### BEGINS_WITH

    public static final ConditionalFormatType BEGINS_WITH

  - ### CELL_IS

    public static final ConditionalFormatType CELL_IS

  - ### COLOR_SCALE

    public static final ConditionalFormatType COLOR_SCALE

  - ### CONTAINS_BLANKS

    public static final ConditionalFormatType CONTAINS_BLANKS

  - ### CONTAINS_ERRORS

    public static final ConditionalFormatType CONTAINS_ERRORS

  - ### CONTAINS_TEXT

    public static final ConditionalFormatType CONTAINS_TEXT

  - ### DATA_BAR

    public static final ConditionalFormatType DATA_BAR

  - ### DUPLICATE_VALUES

    public static final ConditionalFormatType DUPLICATE_VALUES

  - ### ENDS_WITH

    public static final ConditionalFormatType ENDS_WITH

  - ### EXPRESSION

    public static final ConditionalFormatType EXPRESSION

  - ### ICON_SET

    public static final ConditionalFormatType ICON_SET

  - ### DOES_NOT_CONTAIN_BLANKS

    public static final ConditionalFormatType DOES_NOT_CONTAIN_BLANKS

  - ### DOES_NOT_CONTAIN_ERRORS

    public static final ConditionalFormatType DOES_NOT_CONTAIN_ERRORS

  - ### DOES_NOT_CONTAIN_TEXT

    public static final ConditionalFormatType DOES_NOT_CONTAIN_TEXT

  - ### TIME_PERIOD

    public static final ConditionalFormatType TIME_PERIOD

  - ### TOP

    public static final ConditionalFormatType TOP

  - ### UNIQUE_VALUES

    public static final ConditionalFormatType UNIQUE_VALUES

  - ### NONE

    public static final ConditionalFormatType NONE

- ## Method Details

  - ### values

    public static ConditionalFormatType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConditionalFormatType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null